Name: multi-gnome-terminal
Version: 1.6.1
Release: alt2

Summary: The Enhanced GNOME Terminal.
License: GPL
Group: Terminals
Url: http://multignometerm.sourceforge.net

Packager: Konstantin Timoshenko <kt@altlinux.ru>

Source: %name-%version.tar.bz2
Patch1: %name.omf.patch
Patch2: %name.glade.patch

# Automatically added by buildreq on Thu Feb 06 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs XFree86-utils bzlib-devel docbook-dtds docbook-style-dsssl esound-devel flex gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gnome-panel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libglade-devel libxml-devel libxml2 libxslt openjade scrollkeeper xml-common xpm-devel zlib-devel

%description
Multi Gnome Terminal is an enhanced  version of gnome-terminal which has
the following features added:
- Many terminals in each window
- Switch between terminals using shortcuts
- Execution of user defined commands in new terminals (Customizable menus)
- Notification of terminals states using customizable colors for tabs text.

All this extensions are inspired by screen and konsole (the kde2 terminal)
and are undoubtly very useful to each user.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT/var/lib/scrollkeeper
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): needs=X11 section=Terminals \
title="Multi Gnome Terminal" longtitle="The Enhanced GNOME Terminal" \
command="%_bindir/%name" icon="%name/multignometerm.png"

EOF

%post
%update_menus
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||: ; fi 

%postun
%clean_menus
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||: ; fi

%files
%doc AUTHORS COPYING ChangeLog NEWS README LICENSE
%_bindir/%name
%_sbindir/mgt-pty-helper
%_sysconfdir/CORBA/servers/%name.gnorba
%_datadir/gnome/apps/System/%name.desktop
%_datadir/idl/MultiTerminal.idl
%_mandir/man1/%name.*
%_datadir/pixmaps/mgt/*.png
%_datadir/gnome/help/%name/*
%_datadir/%name/glade/*
%_datadir/omf/%name/*
%_menudir/%name

%changelog
* Thu Feb 06 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.6.1-alt2
- clean BuildRequires.

* Mon Sep 23 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Mon Jul 29 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Thu Jul 04 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Mon May 13 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.5.0-alt1
- 1.5.0

* Tue Feb 26 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.3.13-alt1
- 1.3.13

* Wed Jan 30 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.3.10-alt2
- Rebuild

* Sun Jan 13 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.3.10-alt1
- 1.3.10

* Fri Jan 11 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.3.9-alt1
- 1.3.9

* Wed Dec 26 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.3.8-alt1
- 1.3.8

* Mon Dec 17 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Fri Nov 30 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.3.4-alt1
- 1.3.4

* Thu Nov 08 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.3-alt2
- fixed build

* Mon Oct 29 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Mon Oct 15 2001 Kostya Timoshenko <kt@altlinux.ru> 1.3.1-alt1
- initial specfile
- bzip sources
